Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.dbc.condition.parser
Class BeanshellGenerator

    java.lang.Object
      org.jboss.aspects.dbc.condition.parser.BeanshellGenerator

All Implemented Interfaces:
  ExpressionVisitor

public class BeanshellGenerator
extends Object
implements ExpressionVisitor

Version:
  $Revision: 1.1.8.4 $
Author:
  Kabir Khan

Constructor Summary
`BeanshellGenerator(Expression expr)`

Method Summary
`String` | `createBeanshellCode()`
`void` | `visit(BooleanExpression expr)`
`void` | `visit(ExistsExpression expr)`
`void` | `visit(Expression expr)`
`void` | `visit(ForAllExpression expr)`
`void` | `visit(ImpliesExpression expr)`
`void` | `visit(JavaExpression expr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanshellGenerator

    public BeanshellGenerator(Expression expr)

Method Detail

### createBeanshellCode

    public String createBeanshellCode()

### visit

    public void visit(Expression expr)

  Specified by:
    `visit` in interface `ExpressionVisitor`

### visit

    public void visit(BooleanExpression expr)

  Specified by:
    `visit` in interface `ExpressionVisitor`

### visit

    public void visit(ForAllExpression expr)

  Specified by:
    `visit` in interface `ExpressionVisitor`

### visit

    public void visit(ExistsExpression expr)

  Specified by:
    `visit` in interface `ExpressionVisitor`

### visit

    public void visit(ImpliesExpression expr)

  Specified by:
    `visit` in interface `ExpressionVisitor`

### visit

    public void visit(JavaExpression expr)

  Specified by:
    `visit` in interface `ExpressionVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.